- Qt 6.8
- Qt GUI
- C++ Classes
- QBitmap
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QBitmap

The following members of class QBitmap are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` | QBitmap(const QPixmap &pixmap)
`(deprecated in 6.0)` QBitmap & | operator=(const QPixmap &pixmap)

## Member Function Documentation

### `[explicit, deprecated in 6.0]` QBitmap::QBitmap(const QPixmap &pixmap)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use fromPixmap instead. Constructs a bitmap that is a copy of the given pixmap.

If the pixmap has a depth greater than 1, the resulting bitmap will be dithered automatically.

See also QPixmap::depth(), fromImage(), and fromData().

### `[deprecated in 6.0]` QBitmap &QBitmap::operator=(const QPixmap &pixmap)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use fromPixmap instead.

This is an overloaded function.

Assigns the given pixmap to this bitmap and returns a reference to this bitmap.

If the pixmap has a depth greater than 1, the resulting bitmap will be dithered automatically.

See also QPixmap::depth().